### Function

# Camel NamedFlags new_sized

since: 3.24

#### Declaration [src]

    CamelNamedFlags*
    camel_named_flags_new_sized (
      guint reserve_size
    )

#### Description [src]

Created a new `CamelNamedFlags`, which has reserved `reserve_size` elements. This value doesn’t influence the camel_named_flags_get_length(), which returns zero on the array returned from this function.

Available since: 3.24

#### Parameters

`reserve_size`

  Type: `guint`

  An array size to reserve.

#### Return value

Type: `CamelNamedFlags`

A newly allocated `CamelNameValueArray`. Free it with `camel_named_flags_free()` when done with it.

See: camel_name_value_array_new, camel_name_value_array_copy.

The caller of the function takes ownership of the data, and is responsible for freeing it.